Loading...
Searching...
No Matches
Marginals.h File Reference

A class for computing marginals in a NonlinearFactorGraph. More...

Go to the source code of this file.

## Classes

class | gtsam::Marginals
| A class for computing Gaussian marginals of variables in a NonlinearFactorGraph. More...
class | gtsam::JointMarginal
| A class to store and access a joint marginal, returned from Marginals::jointMarginalCovariance and Marginals::jointMarginalInformation. More...

## Namespaces

namespace | gtsam
| Global functions in a separate testing namespace.

## Detailed Description

A class for computing marginals in a NonlinearFactorGraph.

Author
  Richard Roberts

Date
  May 14, 2012